<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: adj_mat&lt; EDGE_TYPE &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classadj__mat-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">adj_mat&lt; EDGE_TYPE &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af66fc28d142ed3a432c020cad3d63f2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af66fc28d142ed3a432c020cad3d63f2d"></a>
typedef vector&lt; vector<br class="typebreak" />
&lt; EDGE_TYPE &gt; &gt;::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>ROW_ITERATOR</b></td></tr>
<tr class="separator:af66fc28d142ed3a432c020cad3d63f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5112eec9e63660b41eff86c10e4c9ab9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5112eec9e63660b41eff86c10e4c9ab9"></a>
typedef vector&lt; EDGE_TYPE &gt;<br class="typebreak" />
::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>ELEMENT_ITERATOR</b></td></tr>
<tr class="separator:a5112eec9e63660b41eff86c10e4c9ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2ffd346979056301861babd4b62d55c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ffd346979056301861babd4b62d55c9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>adj_mat</b> (unsigned long numVertices, bool directedFlag)</td></tr>
<tr class="separator:a2ffd346979056301861babd4b62d55c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e06016b1a96be1debbee744630bc736"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e06016b1a96be1debbee744630bc736"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (unsigned long src, unsigned long dst, EDGE_TYPE val)</td></tr>
<tr class="separator:a9e06016b1a96be1debbee744630bc736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df9d8b132101a82bfa5e1af30b12402"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0df9d8b132101a82bfa5e1af30b12402"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (unsigned long src, unsigned long dst)</td></tr>
<tr class="separator:a0df9d8b132101a82bfa5e1af30b12402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5ba6f3cef2a4b8e2b0e85c4d8fef0d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5ba6f3cef2a4b8e2b0e85c4d8fef0d4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex</b> ()</td></tr>
<tr class="separator:ad5ba6f3cef2a4b8e2b0e85c4d8fef0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46116050019c7c5282b7f2389d2a314a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46116050019c7c5282b7f2389d2a314a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex</b> (unsigned long vertexIndex)</td></tr>
<tr class="separator:a46116050019c7c5282b7f2389d2a314a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1910c2c01eb431dffb095be2d0f236c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1910c2c01eb431dffb095be2d0f236c9"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_vertices</b> ()</td></tr>
<tr class="separator:a1910c2c01eb431dffb095be2d0f236c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ae0f18a49568886551e4c7599f5b02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82ae0f18a49568886551e4c7599f5b02"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_edges</b> (unsigned long vertexIndex)</td></tr>
<tr class="separator:a82ae0f18a49568886551e4c7599f5b02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6c24fa84847c668dc622e950b151477"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6c24fa84847c668dc622e950b151477"></a>
EDGE_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_edge</b> (unsigned long src, unsigned long dst)</td></tr>
<tr class="separator:ac6c24fa84847c668dc622e950b151477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada36afeb369642f328442c173df8be93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada36afeb369642f328442c173df8be93"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_total_edges</b> ()</td></tr>
<tr class="separator:ada36afeb369642f328442c173df8be93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a310bbf95ef760ad35c16d2f8b856b232"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a310bbf95ef760ad35c16d2f8b856b232"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_connected</b> (unsigned long src, unsigned long dst)</td></tr>
<tr class="separator:a310bbf95ef760ad35c16d2f8b856b232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a99fee546f8d1480280d703c06c29df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a99fee546f8d1480280d703c06c29df"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_directed</b> ()</td></tr>
<tr class="separator:a3a99fee546f8d1480280d703c06c29df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2ad06cfaa87922ffc63838a8405247f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ad06cfaa87922ffc63838a8405247f3"></a>
vector&lt; vector&lt; EDGE_TYPE &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>graph_mat</b></td></tr>
<tr class="separator:a2ad06cfaa87922ffc63838a8405247f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1802a550c7d3f82bfc0d1475a099b0d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1802a550c7d3f82bfc0d1475a099b0d6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isDirected</b></td></tr>
<tr class="separator:a1802a550c7d3f82bfc0d1475a099b0d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__seq_8hpp_source.html">graph_seq.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
